# Get All Merchant Offers

Retrieve a list of all `Offer`'s for a Merchant, given their `merchant_id`. For most performant results please make sure to use the since property.

This endpoint supports [collections](/prism/catalog/collections.md) and [metadata](/prism/catalog/metadata-syncing/sku-metadata.md). Use the `include` query param.

{% hint style="info" %}
To avoid performance issues, `total_elements` and `total_pages` properties are not populated for this endpoint response, being both returned with default value of `0`.
{% endhint %}

{% hint style="info" %}
Violet **strongly** discourages scraping this endpoint. Most offers do not change very often,\
so re-scraping all of a merchant's offers on a regular basis is a very costly way to keep your catalog up to date.

Violet's recommendation is to make use of [offer webhooks](https://app.gitbook.com/s/ZrOgj5n6PuU2r0Ya8Tzl/prism/checkout-guides/webhooks/handling-webhooks) to be notified when offers are added/updated in Violet's system.\
This works because when your merchants onboard, their products are pulled into Violet's system and so you will receive a webhook for each of the new merchant's offers.\
Additionally, Violet employs a number of methods to keep our merchant's catalogs up to date and all of those methods will generate webhooks sent to your system.
{% endhint %}

{% openapi src="/files/RoHExmP1KsDM0vanbuK0" path="/catalog/offers/merchants/{merchant\_id}" method="get" expanded="true" %}
[catalog-service.yaml](https://3937396275-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F8lXIp71Ct5qCUhXjko2q%2Fuploads%2Fgit-blob-2b5286796883d64bfec7c822461027ec4bdb8fbe%2Fcatalog-service.yaml?alt=media\&token=051fc713-6864-453a-9147-0eebc0b47416)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.violet.io/api-reference/catalog/offers/get-all-merchant-offers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
